# Class default

#### Hierarchy

- BaseTree
  - default

- Defined in fs/v1/PrivateTree.ts:42

#####
Index

### Constructors

constructor

### Properties

children
crypto
depot
header
history
key
manners
mmpt
readOnly
reference

### Methods

add
addRecurse
assignLink
cat
createChildTree
createOrUpdateChildFile
exists
get
getDirectChild
getLinks
getName
getOrCreateDirectChild
getRecurse
insertSoftLink
ls
mkdir
mkdirRecurse
mv
put
putDetailed
read
removeDirectChild
rm
rmRecurse
updateChild
updateDirectChild
updateLink
updateParentNameFilter
write
create
fromBareNameFilter
fromBaseKey
fromInfo
fromLatestName
fromName
instanceOf
resolveSoftLink

## Constructors

### constructor

- new default(__namedParameters: ConstructorParams): default

- #### Parameters

  - ##### __namedParameters: ConstructorParams

  #### Returns default

  Overrides BaseTree.constructor

  - Defined in fs/v1/PrivateTree.ts:55

## Properties

### children

children: {
[name: string]: default | PrivateFile;
}

#### Type declaration

- ##### [name: string]: default | PrivateFile

- Defined in fs/v1/PrivateTree.ts:49

### crypto

crypto: Crypto.Implementation

- Defined in fs/v1/PrivateTree.ts:44

### depot

depot: Depot.Implementation

- Defined in fs/v1/PrivateTree.ts:45

### header

header: PrivateTreeInfo

- Defined in fs/v1/PrivateTree.ts:50

### history

history: default

- Defined in fs/v1/PrivateTree.ts:51

### key

key: Uint8Array

- Defined in fs/v1/PrivateTree.ts:52

### manners

manners: Manners.Implementation

- Defined in fs/v1/PrivateTree.ts:46

### mmpt

mmpt: default

- Defined in fs/v1/PrivateTree.ts:53

### readOnly

readOnly: boolean

Inherited from BaseTree.readOnly

- Defined in fs/base/tree.ts:14

### reference

reference: Reference.Implementation

- Defined in fs/v1/PrivateTree.ts:47

## Methods

### add

- add(path: Path, content: Uint8Array): Promise<default>

- #### Parameters

  - ##### path: Path

  - ##### content: Uint8Array

  #### Returns Promise<default>

  Inherited from BaseTree.add

  - Defined in fs/base/tree.ts:69

### addRecurse

- addRecurse(path: Path, content: Uint8Array, onUpdate: Maybe<UpdateCallback>): Promise<default>

- #### Parameters

  - ##### path: Path

  - ##### content: Uint8Array

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<default>

  Inherited from BaseTree.addRecurse

  - Defined in fs/base/tree.ts:74

### assignLink

- assignLink(__namedParameters: {
  link: SoftLink | PrivateLink;
  name: string;
  skeleton: SoftLink | PrivateSkeletonInfo;
  }): void

- #### Parameters

  - ##### __namedParameters: {
    link: SoftLink | PrivateLink;
    name: string;
    skeleton: SoftLink | PrivateSkeletonInfo;
    }

    - ##### link: SoftLink | PrivateLink

    - ##### name: string

    - ##### skeleton: SoftLink | PrivateSkeletonInfo

  #### Returns void

  - Defined in fs/v1/PrivateTree.ts:335

### cat

- cat(path: Path): Promise<Uint8Array>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<Uint8Array>

  Inherited from BaseTree.cat

  - Defined in fs/base/tree.ts:35

### createChildTree

- createChildTree(name: string, onUpdate: Maybe<UpdateCallback>): Promise<default>

- #### Parameters

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<default>

  Overrides BaseTree.createChildTree

  - Defined in fs/v1/PrivateTree.ts:174

### createOrUpdateChildFile

- createOrUpdateChildFile(content: Uint8Array, name: string, onUpdate: Maybe<UpdateCallback>): Promise<PrivateFile>

- #### Parameters

  - ##### content: Uint8Array

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<PrivateFile>

  Overrides BaseTree.createOrUpdateChildFile

  - Defined in fs/v1/PrivateTree.ts:190

### exists

- exists(path: Path): Promise<boolean>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<boolean>

  Inherited from BaseTree.exists

  - Defined in fs/base/tree.ts:170

### get

- get(path: Path): Promise<null | PrivateFile | default>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<null | PrivateFile | default>

  Overrides BaseTree.get

  - Defined in fs/v1/PrivateTree.ts:283

### getDirectChild

- getDirectChild(name: string): Promise<null | PrivateFile | default>

- #### Parameters

  - ##### name: string

  #### Returns Promise<null | PrivateFile | default>

  Overrides BaseTree.getDirectChild

  - Defined in fs/v1/PrivateTree.ts:239

### getLinks

- getLinks(): Links

- #### Returns Links

  Overrides BaseTree.getLinks

  - Defined in fs/v1/PrivateTree.ts:382

### getName

- getName(): Promise<PrivateName>

- #### Returns Promise<PrivateName>

  - Defined in fs/v1/PrivateTree.ts:272

### getOrCreateDirectChild

- getOrCreateDirectChild(name: string, onUpdate: Maybe<UpdateCallback>): Promise<File | Tree>

- #### Parameters

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<File | Tree>

  Inherited from BaseTree.getOrCreateDirectChild

  - Defined in fs/base/tree.ts:183

### getRecurse

- getRecurse(nodeInfo: SoftLink | PrivateSkeletonInfo, parts: string[]): Promise<null | PrivateFile | default>

- #### Parameters

  - ##### nodeInfo: SoftLink | PrivateSkeletonInfo

  - ##### parts: string[]

  #### Returns Promise<null | PrivateFile | default>

  - Defined in fs/v1/PrivateTree.ts:294

### insertSoftLink

- insertSoftLink(__namedParameters: {
  key: Uint8Array;
  name: string;
  privateName: PrivateName;
  username: string;
  }): default

- #### Parameters

  - ##### __namedParameters: {
    key: Uint8Array;
    name: string;
    privateName: PrivateName;
    username: string;
    }

    - ##### key: Uint8Array

    - ##### name: string

    - ##### privateName: PrivateName

    - ##### username: string

  #### Returns default

  - Defined in fs/v1/PrivateTree.ts:405

### ls

- ls(path: Path): Promise<Links>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<Links>

  Inherited from BaseTree.ls

  - Defined in fs/base/tree.ts:25

### mkdir

- mkdir(path: Path): Promise<default>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<default>

  Inherited from BaseTree.mkdir

  - Defined in fs/base/tree.ts:45

### mkdirRecurse

- mkdirRecurse(path: Path, onUpdate: Maybe<UpdateCallback>): Promise<default>

- #### Parameters

  - ##### path: Path

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<default>

  Inherited from BaseTree.mkdirRecurse

  - Defined in fs/base/tree.ts:49

### mv

- mv(from: Path, to: Path): Promise<default>

- #### Parameters

  - ##### from: Path

  - ##### to: Path

  #### Returns Promise<default>

  Inherited from BaseTree.mv

  - Defined in fs/base/tree.ts:130

### put

- put(): Promise<CID<unknown, number, number, Version>>

- #### Returns Promise<CID<unknown, number, number, Version>>

  Inherited from BaseTree.put

  - Defined in fs/base/tree.ts:20

### putDetailed

- putDetailed(): Promise<PrivateAddResult>

- #### Returns Promise<PrivateAddResult>

  Overrides BaseTree.putDetailed

  - Defined in fs/v1/PrivateTree.ts:206

### read

- read(path: Path): Promise<null | File | Tree>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<null | File | Tree>

  Inherited from BaseTree.read

  - Defined in fs/base/tree.ts:175

### removeDirectChild

- removeDirectChild(name: string): default

- #### Parameters

  - ##### name: string

  #### Returns default

  Overrides BaseTree.removeDirectChild

  - Defined in fs/v1/PrivateTree.ts:226

### rm

- rm(path: Path): Promise<default>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<default>

  Inherited from BaseTree.rm

  - Defined in fs/base/tree.ts:98

### rmRecurse

- rmRecurse(path: Path, onUpdate: Maybe<UpdateCallback>): Promise<default>

- #### Parameters

  - ##### path: Path

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<default>

  Inherited from BaseTree.rmRecurse

  - Defined in fs/base/tree.ts:103

### updateChild

- updateChild(child: File | Tree, path: Path): Promise<default>

- `put` is called on child (result of promise) in `updateDirectChild` Then for the outermost parent, `put` should be called manually.

  #### Parameters

  - ##### child: File | Tree

  - ##### path: Path

  #### Returns Promise<default>

  Inherited from BaseTree.updateChild

  - Defined in fs/base/tree.ts:194

### updateDirectChild

- updateDirectChild(child: PrivateFile | default, name: string, onUpdate: Maybe<UpdateCallback>): Promise<default>

- #### Parameters

  - ##### child: PrivateFile | default

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<default>

  Overrides BaseTree.updateDirectChild

  - Defined in fs/v1/PrivateTree.ts:216

### updateLink

- updateLink(name: string, result: PrivateAddResult): default

- #### Parameters

  - ##### name: string

  - ##### result: PrivateAddResult

  #### Returns default

  Overrides BaseTree.updateLink

  - Defined in fs/v1/PrivateTree.ts:393

### updateParentNameFilter

- updateParentNameFilter(parentNameFilter: BareNameFilter): Promise<default>

- #### Parameters

  - ##### parentNameFilter: BareNameFilter

  #### Returns Promise<default>

  - Defined in fs/v1/PrivateTree.ts:278

### write

- write(path: Path, content: Uint8Array): Promise<default>

- #### Parameters

  - ##### path: Path

  - ##### content: Uint8Array

  #### Returns Promise<default>

  Inherited from BaseTree.write

  - Defined in fs/base/tree.ts:179

### `Static` create

- create(crypto: Crypto.Implementation, depot: Depot.Implementation, manners: Manners.Implementation, reference: Reference.Implementation, mmpt: default, key: Uint8Array, parentNameFilter: Maybe<BareNameFilter>): Promise<default>

- #### Parameters

  - ##### crypto: Crypto.Implementation

  - ##### depot: Depot.Implementation

  - ##### manners: Manners.Implementation

  - ##### reference: Reference.Implementation

  - ##### mmpt: default

  - ##### key: Uint8Array

  - ##### parentNameFilter: Maybe<BareNameFilter>

  #### Returns Promise<default>

  - Defined in fs/v1/PrivateTree.ts:77

### `Static` fromBareNameFilter

- fromBareNameFilter(crypto: Crypto.Implementation, depot: Depot.Implementation, manners: Manners.Implementation, reference: Reference.Implementation, mmpt: default, bareNameFilter: BareNameFilter, key: Uint8Array): Promise<default>

- #### Parameters

  - ##### crypto: Crypto.Implementation

  - ##### depot: Depot.Implementation

  - ##### manners: Manners.Implementation

  - ##### reference: Reference.Implementation

  - ##### mmpt: default

  - ##### bareNameFilter: BareNameFilter

  - ##### key: Uint8Array

  #### Returns Promise<default>

  - Defined in fs/v1/PrivateTree.ts:119

### `Static` fromBaseKey

- fromBaseKey(crypto: Crypto.Implementation, depot: Depot.Implementation, manners: Manners.Implementation, reference: Reference.Implementation, mmpt: default, key: Uint8Array): Promise<default>

- #### Parameters

  - ##### crypto: Crypto.Implementation

  - ##### depot: Depot.Implementation

  - ##### manners: Manners.Implementation

  - ##### reference: Reference.Implementation

  - ##### mmpt: default

  - ##### key: Uint8Array

  #### Returns Promise<default>

  - Defined in fs/v1/PrivateTree.ts:107

### `Static` fromInfo

- fromInfo(crypto: Crypto.Implementation, depot: Depot.Implementation, manners: Manners.Implementation, reference: Reference.Implementation, mmpt: default, key: Uint8Array, info: Maybe<DecryptedNode>): Promise<default>

- #### Parameters

  - ##### crypto: Crypto.Implementation

  - ##### depot: Depot.Implementation

  - ##### manners: Manners.Implementation

  - ##### reference: Reference.Implementation

  - ##### mmpt: default

  - ##### key: Uint8Array

  - ##### info: Maybe<DecryptedNode>

  #### Returns Promise<default>

  - Defined in fs/v1/PrivateTree.ts:158

### `Static` fromLatestName

- fromLatestName(crypto: Crypto.Implementation, depot: Depot.Implementation, manners: Manners.Implementation, reference: Reference.Implementation, mmpt: default, name: PrivateName, key: Uint8Array): Promise<default>

- #### Parameters

  - ##### crypto: Crypto.Implementation

  - ##### depot: Depot.Implementation

  - ##### manners: Manners.Implementation

  - ##### reference: Reference.Implementation

  - ##### mmpt: default

  - ##### name: PrivateName

  - ##### key: Uint8Array

  #### Returns Promise<default>

  - Defined in fs/v1/PrivateTree.ts:132

### `Static` fromName

- fromName(crypto: Crypto.Implementation, depot: Depot.Implementation, manners: Manners.Implementation, reference: Reference.Implementation, mmpt: default, name: PrivateName, key: Uint8Array): Promise<default>

- #### Parameters

  - ##### crypto: Crypto.Implementation

  - ##### depot: Depot.Implementation

  - ##### manners: Manners.Implementation

  - ##### reference: Reference.Implementation

  - ##### mmpt: default

  - ##### name: PrivateName

  - ##### key: Uint8Array

  #### Returns Promise<default>

  - Defined in fs/v1/PrivateTree.ts:145

### `Static` instanceOf

- instanceOf(obj: unknown): obj is default

- #### Parameters

  - ##### obj: unknown

  #### Returns obj is default

  - Defined in fs/v1/PrivateTree.ts:70

### `Static` resolveSoftLink

- resolveSoftLink(crypto: Crypto.Implementation, depot: Depot.Implementation, manners: Manners.Implementation, reference: Reference.Implementation, link: SoftLink): Promise<null | PrivateFile | default>

- #### Parameters

  - ##### crypto: Crypto.Implementation

  - ##### depot: Depot.Implementation

  - ##### manners: Manners.Implementation

  - ##### reference: Reference.Implementation

  - ##### link: SoftLink

  #### Returns Promise<null | PrivateFile | default>

  - Defined in fs/v1/PrivateTree.ts:346

Generated using TypeDoc